text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Data.Version

Description

Monomorphic `TextShow` functions for `Version`.

Since: 2

Synopsis

- showbVersionPrec :: Int -> Version -> Builder
- showbVersionConcrete :: Version -> Builder

# Documentation

showbVersionPrec :: Int -> Version -> Builder Source

Convert a `Version` to a `Builder` with the given precedence.

Since: 2

showbVersionConcrete :: Version -> Builder Source

Provides one possible concrete representation for `Version`. For a version with `versionBranch` `= [1,2,3]` and `versionTags` `= ["tag1","tag2"]`, the output will be `1.2.3-tag1-tag2`.

Since: 2